<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lpa__macros__arp" kind="group">
    <compoundname>Group_lpa_macros_arp</compoundname>
    <title>Group_lpa_macros_arp</title>
      <sectiondef kind="typedef">
      <memberdef id="group__group__lpa__macros__arp_1gada8697659aab30a6184c3a470422a97e" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t arp_ol_enable_mask_t</definition>
        <argsstring />
        <name>arp_ol_enable_mask_t</name>
        <briefdescription>
<para>ARP OL Feature is enabled when bit is set (see CY_ARP_OL_XXXX_ENABLE flags) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="101" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="101" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="var">
      <memberdef id="group__group__lpa__macros__arp_1gab541c0d38166b20a4703f203a3533164" kind="variable" mutable="no" prot="public" static="yes">
        <type><ref kindref="member" refid="group__group__lpa__internal_1ga9def4ca12e21880657322882de19622b">ol_init_t</ref></type>
        <definition>ol_init_t cylpa_arp_ol_init</definition>
        <argsstring />
        <name>cylpa_arp_ol_init</name>
        <briefdescription>
<para>Initialization of an arp_ol instance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" bodystart="54" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" line="54" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga288dbf77826605d3908824e1847be05e" kind="variable" mutable="no" prot="public" static="yes">
        <type><ref kindref="member" refid="group__group__lpa__internal_1ga430866a43c3edc038156f38680ede8fd">ol_deinit_t</ref></type>
        <definition>ol_deinit_t cylpa_arp_ol_deinit</definition>
        <argsstring />
        <name>cylpa_arp_ol_deinit</name>
        <briefdescription>
<para>De-initialization of an arp_ol instance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" bodystart="55" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" line="55" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1gad827555283e606020c1a2524854c4193" kind="variable" mutable="no" prot="public" static="yes">
        <type><ref kindref="member" refid="group__group__lpa__internal_1ga7b77ef0d7e6402fab179216dd39ec35b">ol_pm_t</ref></type>
        <definition>ol_pm_t cylpa_arp_ol_pm</definition>
        <argsstring />
        <name>cylpa_arp_ol_pm</name>
        <briefdescription>
<para>Power manager change of power status. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" line="56" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__lpa__macros__arp_1gaf672369d7b608356f0b773eeeff31c5c" kind="define" prot="public" static="no">
        <name>ARP_ID</name>
        <initializer>(0xaaccooddUL)</initializer>
        <briefdescription>
<para>Unique ID for ARP packet. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="87" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="87" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1gaadc3f49c22cb0287965f31bd4e10da9f" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_HOSTIP_MAX_ENTRIES</name>
        <initializer>ARP_MULTIHOMING_MAX</initializer>
        <briefdescription>
<para>Maximum Number of Host IP addresses in WLAN Device (8) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="89" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="89" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1gaee6b33e6db34432f276284bd02e7ac1c" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_DEFAULT_PEERAGE_VALUE</name>
        <initializer>(1200UL)</initializer>
        <briefdescription>
<para>Default lifetime of an ARP table entry in seconds (agent only). </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="91" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="91" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga5bc600bcba9b88cc6cb3d77051bd79e3" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_AGENT_ENABLE</name>
        <initializer>ARP_OL_AGENT</initializer>
        <briefdescription>
<para>Flag to enable the ARP Offload (0x00000001) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="93" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="93" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga4b450a4ea53c6bd3154de23b26cb29a7" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_SNOOP_ENABLE</name>
        <initializer>ARP_OL_SNOOP</initializer>
        <briefdescription>
<para>Flag to enable Snooping Host IP address (0x00000002) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="94" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="94" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga3beb317560342f8c4c64b5430a1cfe3d" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_HOST_AUTO_REPLY_ENABLE</name>
        <initializer>ARP_OL_HOST_AUTO_REPLY</initializer>
        <briefdescription>
<para>Flag to enable Host Auto Reply (0x00000004) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="95" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="95" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga8f36e798f15c4c478294b837556818da" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_PEER_AUTO_REPLY_ENABLE</name>
        <initializer>ARP_OL_PEER_AUTO_REPLY</initializer>
        <briefdescription>
<para>Flag to enable Peer Auto Reply (0x00000008) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="96" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="96" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga6f7e6049ae8609ce02f6792763de56aa" kind="define" prot="public" static="no">
        <name>CY_ARP_OL_ALL_FEATURE_ENABLE</name>
        <initializer>(<ref kindref="member" refid="group__group__lpa__macros__arp_1ga5bc600bcba9b88cc6cb3d77051bd79e3">CY_ARP_OL_AGENT_ENABLE</ref> | <ref kindref="member" refid="group__group__lpa__macros__arp_1ga4b450a4ea53c6bd3154de23b26cb29a7">CY_ARP_OL_SNOOP_ENABLE</ref> | \
                                             <ref kindref="member" refid="group__group__lpa__macros__arp_1ga3beb317560342f8c4c64b5430a1cfe3d">CY_ARP_OL_HOST_AUTO_REPLY_ENABLE</ref> | <ref kindref="member" refid="group__group__lpa__macros__arp_1ga8f36e798f15c4c478294b837556818da">CY_ARP_OL_PEER_AUTO_REPLY_ENABLE</ref>)</initializer>
        <briefdescription>
<para>All ARP OL Flags (0x0000000F) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" bodystart="97" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_lpa_wifi_arp_ol.h" line="97" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga4fa428037955d864884c2c081512474c" kind="define" prot="public" static="no">
        <name>NULL_IP_ADDRESS</name>
        <initializer>(0UL)</initializer>
        <briefdescription>
<para>invalid IP address </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" bodystart="49" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" line="49" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga3d85238a31bc53870559776648bc7e3d" kind="define" prot="public" static="no">
        <name>CY_ARPOL_SHORT_DELAY_FOR_DHCP_MS</name>
        <initializer>(500UL)</initializer>
        <briefdescription>
<para>Delay (ms) wait after link is up for DHCP to start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" bodystart="50" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" line="50" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1ga95791623010c342ae67d235f29aeb1ef" kind="define" prot="public" static="no">
        <name>CY_ARPOL_DELAY_FOR_DHCP_MS</name>
        <initializer>(1000UL)</initializer>
        <briefdescription>
<para>Delay (ms) wait after link is up for DHCP to start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" bodystart="51" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" line="51" />
      </memberdef>
      <memberdef id="group__group__lpa__macros__arp_1gadcd9c428b8408fbab3c7ea05dae36ecf" kind="define" prot="public" static="no">
        <name>CY_ARPOL_DHCP_RETRY_COUNT</name>
        <initializer>(25UL)</initializer>
        <briefdescription>
<para>Number of times to retry getting the IP address. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" bodystart="52" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_arp_ol.c" line="52" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>